##############################################################################
## This file is part of 'LCLS2 Common Carrier Core'.
## It is subject to the license terms in the LICENSE.txt file found in the 
## top-level directory of this distribution and at: 
##    https://confluence.slac.stanford.edu/display/ppareg/LICENSE.html. 
## No part of 'LCLS2 Common Carrier Core', including this file, 
## may be copied, modified, propagated, or distributed except according to 
## the terms contained in the LICENSE.txt file.
##############################################################################
#schemaversion 3.0.0
#once
#include AmcCarrierTimingGenerator.yaml
#include AmcCarrierDRAM.yaml

#MMIO range, will be attached to FPGA
mmio: &mmio
  size: 0x100000000 # 4GB of address space
  class: MMIODev
  configPrio: 1
  children:
      AmcCarrierTimingGenerator:
          <<: *AmcCarrierTimingGenerator
          at:
            offset: 0x00000000      

strm: &strm
  size: 0x100000000 # 4GB of address space
  class: MMIODev
  children:
      AmcCarrierDRAM:
          <<: *AmcCarrierDRAM
          at:
            offset: 0x00000000      

NetIODev:
  ipAddr: 10.0.3.102
  class: NetIODev
  configPrio: 1
  children:
     mmio:
       <<: *mmio
       at:
         SRP:
           protocolVersion: SRP_UDP_V3
         UDP:
           port: 8193
         RSSI: yes
         depack:
           useDepack: yes
         TDESTMux:
           TDEST: 0
     strm:
       <<: *strm
       at:
         SRP:
           protocolVersion: SRP_UDP_V3
         UDP:
           port: 8194
         RSSI: yes
         depack:
           useDepack: yes
         TDESTMux:
           TDEST: 4

